AnsweredAssumed Answered

iOS 10 / Swift 3.0 Compatibility

Question asked by vksunga on Oct 4, 2016
Latest reply on Oct 5, 2016 by DGoyal-esristaff

Is the SDK compatible for iOS 10 / Swift 3?

I was able to install with cocoapods and build without getting any errors, even put in a sample map. However, there are no release notes and the last official update was recorded August 2015. Can anyone provide more detail?

 

I also noticed that the AGSTiledMapServiceLayer was using the URL struct that was introduced in iOS 10. This lead me to believe that the SDK is compatible but have not found any official documentation.

 

  //Add a basemap tiled layer
  let url = NSURL(string: "http://sampleMapServer")
  let tiledLayer = AGSTiledMapServiceLayer(URL: url)
  self.mapView.addMapLayer(tiledLayer, withName: "Basemap Tiled Layer")

Outcomes